Package org.apache.commons.jxpath

# Class JXPathIntrospector

java.lang.Object
org.apache.commons.jxpath.JXPathIntrospector

public class JXPathIntrospector extends Object
JXPathIntrospector maintains a registry of `JXPathBeanInfo` objects for Java classes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JXPathIntrospector()`
  Deprecated.
  Will be private in the next major version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JXPathBeanInfo`
  `getBeanInfo(Class beanClass)`
  Creates and registers a JXPathBeanInfo object for the supplied class.
  `static void`
  `registerAtomicClass(Class beanClass)`
  Automatically creates and registers a JXPathBeanInfo object for the specified class.
  `static void`
  `registerDynamicClass(Class beanClass, Class dynamicPropertyHandlerClass)`
  Automatically creates and registers a `JXPathBeanInfo` object for the specified class.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JXPathIntrospector

    @Deprecated public JXPathIntrospector()
    Deprecated.
    Will be private in the next major version.
    Constructs a new instance.

- ## Method Details

  - ### getBeanInfo

    public static JXPathBeanInfo getBeanInfo(Class beanClass)
    Creates and registers a JXPathBeanInfo object for the supplied class. If the class has already been registered, returns the registered JXPathBeanInfo object.

    The process of creation of JXPathBeanInfo is as follows:

    - If class named `<beanClass>XBeanInfo` exists, an instance of that class is allocated.
    - Otherwise, an instance of `JXPathBasicBeanInfo` is allocated.
    Parameters:
      `beanClass` - whose info to get
    Returns:
      JXPathBeanInfo

  - ### registerAtomicClass

    public static void registerAtomicClass(Class beanClass)
    Automatically creates and registers a JXPathBeanInfo object for the specified class. That object returns true to isAtomic().
    Parameters:
      `beanClass` - to register

  - ### registerDynamicClass

    public static void registerDynamicClass(Class beanClass, Class dynamicPropertyHandlerClass)
    Automatically creates and registers a `JXPathBeanInfo` object for the specified class. That object returns true to `JXPathBeanInfo.isDynamic()`.
    Parameters:
      `beanClass` - to register
      `dynamicPropertyHandlerClass` - to handle beanClass